/*
   core/core.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CORE_RANGE_H__
#define __INCLUDED_CORE_RANGE_H__

namespace core
{

/**
 * @brief range and scale constants
 */
namespace range
{
/// maximal visible range (world distance)
/** This is the distance of the frustum far plane,
 *  the maximal distance at which entities can be drawn.
 *  the maximal radar range
 *  and the maximal range to send entity updates
 */
const float maxdistance = 1024.0f;

/// detail/fx distance  (world distance)
const float fxdistance = 256.0f;
}

}

#endif // __INCLUDED_CORE_RANGE_H__

