/*
   render/state.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_RENDER_STATE_H__
#define __INCLUDED_RENDER_STATE_H__

#include "render/gl.h"

namespace render
{

class State
{
public:
	static void init(int width, int height);
	static void shutdown();

	static void resize(int width, int height);
	static void clear();

	inline static int width() {
		return render_width;
	}
	inline static int height() {
		return render_height;
	}
	inline static float aspect() {
		return render_aspect;
	}
	inline static bool has_generate_mipmaps() {
		return render_has_generate_mipmaps;
	}
	inline static bool has_vbo() {
		return render_has_vbo;
	}
	inline static GLuint vbo() {
		return render_vbo;
	}

private:
	static int	render_width;
	static int 	render_height;

	static float	render_aspect;
	static bool	render_has_generate_mipmaps;
	static bool	render_has_vbo;
	static GLuint	render_vbo;
};
} // namespace render

#endif // __INCLUDED_RENDER_STATE_H__

